summaryrefslogtreecommitdiffstats
path: root/debian/nagios-nrpe-server.init
diff options
context:
space:
mode:
Diffstat (limited to 'debian/nagios-nrpe-server.init')
-rw-r--r--debian/nagios-nrpe-server.init85
1 files changed, 85 insertions, 0 deletions
diff --git a/debian/nagios-nrpe-server.init b/debian/nagios-nrpe-server.init
new file mode 100644
index 0000000..ae16f2d
--- /dev/null
+++ b/debian/nagios-nrpe-server.init
@@ -0,0 +1,85 @@
+#! /bin/sh
+#
+
+### BEGIN INIT INFO
+# Provides: nagios-nrpe-server
+# Required-Start: $local_fs $remote_fs $syslog $named $network $time
+# Required-Stop: $local_fs $remote_fs $syslog $named $network
+# Should-Start:
+# Should-Stop:
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Start/Stop the Nagios remote plugin execution daemon
+### END INIT INFO
+
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/nrpe
+NAME=nagios-nrpe
+DESC=nagios-nrpe
+CONFIG=/etc/nagios/nrpe.cfg
+PIDDIR=/run/nagios
+
+test -x $DAEMON || exit 0
+
+if ! [ -x "/lib/lsb/init-functions" ]; then
+ . /lib/lsb/init-functions
+else
+ echo "E: /lib/lsb/init-functions not found, lsb-base (>= 3.0-6) needed"
+ exit 1
+fi
+
+# Include nagios-nrpe defaults if available
+if [ -f /etc/default/nagios-nrpe-server ] ; then
+ . /etc/default/nagios-nrpe-server
+fi
+# we also used to include this file, so if it's there
+# we include it as well
+if [ -f /etc/default/nagios-nrpe ]; then
+ . /etc/default/nagios-nrpe
+fi
+if [ "$NICENESS" ]; then NICENESS="-n $NICENESS"; fi
+
+#since /run can be wiped completly we create our run directory here
+if [ ! -d "$PIDDIR" ]; then
+ mkdir "$PIDDIR"
+ chown nagios "$PIDDIR"
+ [ -x /sbin/restorecon ] && /sbin/restorecon "$PIDDIR"
+fi
+
+set -e
+
+case "$1" in
+ start)
+ if [ "$INETD" = 1 ]; then
+ exit 0
+ fi
+ log_daemon_msg "Starting $DESC" "$NAME"
+ start_daemon -p $PIDDIR/nrpe.pid $NICENESS $DAEMON -c $CONFIG -d $NRPE_OPTS
+ log_end_msg $?
+ ;;
+ stop)
+ log_daemon_msg "Stopping $DESC" "$NAME"
+ start-stop-daemon --stop --quiet --oknodo --pidfile $PIDDIR/nrpe.pid --retry 15
+ log_end_msg $?
+ ;;
+ reload|force-reload)
+ log_daemon_msg "Reloading $DESC configuration files" "$NAME"
+ start-stop-daemon --stop --signal HUP --quiet --pidfile $PIDDIR/nrpe.pid
+ log_end_msg $?
+ ;;
+ status)
+ status_of_proc -p $PIDDIR/nrpe.pid "$DAEMON" "$NAME" && exit 0 || exit $?
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ log_failure_msg "Usage: $N {start|stop|restart|reload|force-reload}"
+ exit 1
+ ;;
+esac
+
+exit 0